# Class Classification

Object
CodeList<Classification>
Classification

All Implemented Interfaces:
  `Serializable, Comparable<Classification>`

@UML(identifier="MD_ClassificationCode", specification=ISO_19115) public final class Classification extends CodeList<Classification>
Name of the handling restrictions on the dataset.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Classification`
  `CONFIDENTIAL`
  Available for someone who can be entrusted with information.
  `static final Classification`
  `RESTRICTED`
  Not for general disclosure.
  `static final Classification`
  `SECRET`
  Kept or meant to be kept private, unknown, or hidden from all but a select group of people.
  `static final Classification`
  `TOP_SECRET`
  Of the highest secrecy.
  `static final Classification`
  `UNCLASSIFIED`
  Available for general disclosure.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Classification[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static Classification`
  `valueOf(String code)`
  Returns the classification that matches the given string, or returns a new one if none match it.
  `static Classification[]`
  `values()`
  Returns the list of `Classification`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNCLASSIFIED

    @UML(identifier="unclassified", obligation=CONDITIONAL, specification=ISO_19115) public static final Classification UNCLASSIFIED
    Available for general disclosure.

  - ### RESTRICTED

    @UML(identifier="restricted", obligation=CONDITIONAL, specification=ISO_19115) public static final Classification RESTRICTED
    Not for general disclosure.

  - ### CONFIDENTIAL

    @UML(identifier="confidential", obligation=CONDITIONAL, specification=ISO_19115) public static final Classification CONFIDENTIAL
    Available for someone who can be entrusted with information.

  - ### SECRET

    @UML(identifier="secret", obligation=CONDITIONAL, specification=ISO_19115) public static final Classification SECRET
    Kept or meant to be kept private, unknown, or hidden from all but a select group of people.

  - ### TOP_SECRET

    @UML(identifier="topSecret", obligation=CONDITIONAL, specification=ISO_19115) public static final Classification TOP_SECRET
    Of the highest secrecy.

- ## Method Details

  - ### values

    public static Classification[] values()
    Returns the list of `Classification`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public Classification[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<Classification>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static Classification valueOf(String code)
    Returns the classification that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.